Gui, Add, Text, x22 y30 w100 h20 , Source Video:
Gui, Add, Text, x22 y60 w100 h20 , Video Folder:
Gui, Add, Edit, x122 y30 w270 h20 vVideoPath, 
Gui, Add, Edit, x122 y60 w270 h20 vVideoFolder,
Gui, Add, Button, x395 y30 w100 h20 gSelectVideo, Browse
Gui, Add, Button, x395 y60 w100 h20 gSelectFolder, Browse
Gui, Add, Text, x22 y90 w100 h20 , Video format
Gui, Add, Button, x112 y150 w290 h30 gConvert, Convert
Gui, Add, Text, x22 y120 w100 h20 , Quality
Gui, Add, Edit, x122 y120 w240 h20 , Edit
Gui, Add, UpDown, x362 y120 w20 h20 Range1-31 vQualityUD , UpDown
;Gui, Add, Button, x395 y120 w100 h20, Advanced...
Gui, Add, Radio, x122 y90 w70 h20 vTB, Top-bottom
Gui, Add, Radio, x202 y90 w100 h20 vSbS, Side-by-side
Gui, Add, Radio, x312 y90 w100 h20 v2D, 2D
; Generated using SmartGUI Creator for SciTE
Gui, Show, w523 h209, 3DS Video v0.1
return

GuiClose:
ExitApp

SelectVideo:
FileSelectFile, PathToVideo,,, Select video, *.*
GuiControl,, VideoPath, %PathToVideo%
return

SelectFolder:
FileSelectFolder, PathToFolder,,, Select video folder
GuiControl,, VideoFolder, %PathToFolder%
return

Convert:
Gui, submit, NoHide
;do some checks
if !VideoPath
{
	MsgBox Error! Select video
	return
	}
if !VideoFolder
{
	MsgBox Error! Select video folder
	return
	}
if !TB && !SbS && !2D
{
	MsgBox Error! Select video format
	return
	}
;generate file name
;~ loop
;~ {
	;~ if A_Index < 10
		;~ FileNumber := 000 . A_Index
	;~ if A_Index >= 10 && A_Index < 100
		;~ FileNumber := 00 . A_Index
	;~ if A_Index >= 100 && A_Index < 1000
		;~ FileNumber := 0 . A_Index
	
	;~ FileName := VideoFolder . "\VID_" . FileNumber . ".AVI"
	;~ IfExist, %FileName%
		;~ continue
	;~ break
;~ }
Loop 
{
   FileName := VideoFolder . "\VID_" . SubStr("000" . A_Index,-3) . ".AVI"   ; will always grab the last four digits of "000" concatenated to A_Index
   IfExist, %FileName% 
      continue 
   break 
}

;Top-bottom
if TB
{
	MsgBox, Converting. Please wait!
	RunWait, ffmpeg.exe -y -i "%VideoPath%" -s 400x480 -aspect 2:1 -r 20 -vcodec mjpeg -qscale %QualityUD% -vf crop=480:240:0:0 -acodec libmp3lame -ar 44100 -ab 96k -ac 2 "left.avi",, Hide
	RunWait, ffmpeg.exe -y -i "%VideoPath%" -s 400x480 -aspect 2:1 -r 20 -vcodec mjpeg -qscale %QualityUD% -vf crop=400:240:0:240 -an "right.avi",, Hide
	
	RunWait, ffmpeg.exe -y -i "left.avi" -i "right.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%FileName%",, Hide
	
	FileDelete, left.avi
	FileDelete, right.avi
	
	MsgBox Done!
}
;Side-by-side
if SbS
{
	MsgBox, Converting. Please wait!

	RunWait, ffmpeg.exe -y -i "%VideoPath%" -s 800x240 -aspect 2:1 -r 20 -vcodec mjpeg -qscale %QualityUD% -vf crop=400:240:0:0 -acodec libmp3lame -ar 44100 -ab 96k -ac 2 "left.avi",, Hide
	RunWait, ffmpeg.exe -y -i "%VideoPath%" -s 800x240 -aspect 2:1 -r 20 -vcodec mjpeg -qscale %QualityUD% -vf crop=400:240:400:0 -an "right.avi",, Hide
	
	RunWait, ffmpeg.exe -y -i "left.avi" -i "right.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%FileName%",, Hide
	
	FileDelete, left.avi
	FileDelete, right.avi
	
	MsgBox Done!
}
if 2D
{
	MsgBox, Converting. Please wait!
	RunWait, ffmpeg.exe -i "%VideoPath%" -s 400x240 -aspect 2:1 -r 20 -vcodec mjpeg -qscale 1 -acodec adpcm_ima_wav -ac 2 "%FileName%",, Hide

	MsgBox Done!
}
return